const app = require('../../utils/util.js');
var util = require('../../utils/md5.js')
Page({
  data: {
    currentTabIndex: 0,
    readList: [
      // {
      //   title: '重要通知',
      //   content: '萨达撒多会撒娇的挥洒健康的挥洒考究的挥洒的货架上',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知222',
      //   content: 'wewewe',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知222',
      //   content: 'wewewe',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知222',
      //   content: 'wewewe',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知222',
      //   content: 'wewewe',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知',
      //   content: 'skdaskjd阿斯顿撒多撒多撒多萨迪克撒旦卡萨丁',
      //   time: '2020/07/08'
      // },
      // {
      //   tile: '重要通知',
      //   content: '所得税卡的挥洒考究的哈斯科技带回家卡萨的挥洒考究的哈斯卡接电话看手机啊都好看手机锕',
      //   time: '2020/07/08'
      // },
    ],
    noreadList: [
      // {
      //   title: '未读通知',
      //   content: '萨达撒多会撒娇的挥洒健康的挥洒考究的挥洒的货架上',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知222',
      //   content: 'wewewe',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知',
      //   content: 'skdaskjd阿斯顿撒多撒多撒多萨迪克撒旦卡萨丁',
      //   time: '2020/07/08'
      // },
      // {
      //   title: '重要通知',
      //   content: '所得税卡的挥洒考究的哈斯科技带回家卡萨的挥洒考究的哈斯卡接电话看手机啊都好看手机锕',
      //   time: '2020/07/08'
      // },
    ],
  },
  onTabsItemTap: function (event) {
    let index = event.currentTarget.dataset.index;
    this.setData({
      currentTabIndex: index
    })
    console.log(index, "sss");
    //..............................................................
    if (index == 0) {
      this.noRead(); 
    } else {
      this.read();
    }
    //..............................................................
  },
  read() {
    wx.request({
      url: app.globalData.publicUrl + '/appletNotice/listForApplets',
      method: "GET",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        console.log(res, "000");
        this.setData({
          readList: res.data.data
        })
      }
    })
  },
  noRead() {
    wx.request({
      url: app.globalData.publicUrl + '/appletNotice/listForAppletsNoread ',
      method: "GET",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        console.log(res, "000");
        this.setData({
          noreadList: res.data.data
        })
      }
    })
  },
  know(e) {
    console.log(e.currentTarget.dataset.infos._id);
    wx.request({
      url: app.globalData.publicUrl + '/readNotice/add',
      method: "POST",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        noticeId: e.currentTarget.dataset.infos._id
      },
      success: (res) => {
        console.log(res, "000");
        if (res.data.code == 0) {
          this.noRead();
        }
      }
    })

  },
  onLoad: function () {
    this.read();
    this.noRead();
  },
})